# Gimp.PDB

    const Gimp = imports.gi.Gimp;

    let pDB = new Gimp.PDB();

Provides access to the Procedural DataBase (PDB).

## Hierarchy

- GObject.Object
  - Gimp.PDB

## Methods

- Gimp.PDB.prototype.dump_to_file
- Gimp.PDB.prototype.get_last_error
- Gimp.PDB.prototype.get_last_status
- Gimp.PDB.prototype.lookup_procedure
- Gimp.PDB.prototype.procedure_exists
- Gimp.PDB.prototype.query_procedures
- Gimp.PDB.prototype.temp_procedure_name